This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859230 - Javascript error when looking at Import History for subscriptions
Javascript error when looking at Import History for subscriptions
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Og Maciel
: Triaged
Depends On:
Blocks: 873809
  Show dependency treegraph
 
Reported: 2012-09-20 16:42 EDT by Og Maciel
Modified: 2013-09-19 14:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 873809 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:10:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-09-20 16:42:25 EDT
Description of problem:

Firebug showed a javascript error while browsing the Import History page for my organization.

  TypeError: $("#redhatSubscriptionTable").treeTable is not a function
[Break On This Error] 	

...t").click(function()  {$(this).closest("form").submit()})});KT.redhat_provider_pag...

Version-Release number of selected component (if applicable):

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

How reproducible:


Steps to Reproduce:
1. Import a valid manifest file
2. Visit the Import History page
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom McKay 2012-11-08 08:37:26 EST
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 21427a85f00d761bebb9dd8d0765d51e36468254
      https://github.com/Katello/katello/commit/21427a85f00d761bebb9dd8d0765d51e36468254
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-11-07 (Wed, 07 Nov 2012)
Comment 2 Mike McCune 2013-08-16 14:21:49 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 3 Mike McCune 2013-09-19 14:10:40 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.